Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class GDBServer.GDBMonitor

    java.lang.Object
      avrora.monitors.GDBServer.GDBMonitor

All Implemented Interfaces:
  Monitor

Enclosing class:
  GDBServer

protected class GDBServer.GDBMonitor
extends java.lang.Object
implements Monitor

The `GDBMonitor` class implements a monitor that can interactively debug a program that is running in Avrora. It uses the remote serial protocol of GDB to run the commands that are sent by GDB. It uses probes into the program in order to pause, resume, step, break, etc. For information on the remote serial protocol of GDB, see: https://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/gdb/remote-protocol.html

Nested Class Summary
`protected class` | `GDBServer.GDBMonitor.BreakpointProbe` The `BreakpointProbe` is a probe inserted at a breakpoint that calls the `commandLoop()` method before the target instruction is executed, thus implementing a breakpoint.
`protected class` | `GDBServer.GDBMonitor.ExceptionWatch` The `ExceptionWatch` halts execution and signals GDB when an exceptional event occurs.
`protected class` | `GDBServer.GDBMonitor.StartupProbe` The `StartupProbe` is a probe inserted at the beginning of the program that will stop the simulation in order to wait for GDB to connect to Avrora.
`protected class` | `GDBServer.GDBMonitor.StepProbe` The `StepProbe` class implements a probe that is used to step by a single instruction.

Method Summary
`void` | `report()` The `report()` method is called after the simulation is complete.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### report

    public void report()

  Description copied from interface: `Monitor`
  The `report()` method is called after the simulation is complete. The monitor generates a textual or other format representation of the information collected during the execution of the program.

  Specified by:
    `report` in interface `Monitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD